javax.resource.cci

## Class ResourceWarning

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.cci.ResourceWarning

- All Implemented Interfaces:
    java.io.Serializable

      public class ResourceWarning
      extends ResourceException

  A `ResourceWarning` provides information on warnings related to execution of an interaction with an EIS. Warnings are silently chained to the object whose method caused it to be reported.
  See Also:
    `Interaction.getWarnings()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceWarning()` Constructs a new instance with null as its detail message.
    `ResourceWarning(java.lang.String message)` Constructs a new instance with the specified detail message.
    `ResourceWarning(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `ResourceWarning(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `ResourceWarning(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceWarning` | `getLinkedWarning()` Deprecated. J2SE release 1.4 supports a chained exception facility that allows any throwable to know about another throwable, if any, that caused it to get thrown. Refer to `getCause` and `initCause` methods of the `java.lang.Throwable` class.
    `void` | `setLinkedWarning(ResourceWarning warning)` Deprecated. J2SE release 1.4 supports a chained exception facility that allows any throwable to know about another throwable, if any, that caused it to get thrown. Refer to `getCause` and `initCause` methods of the `java.lang.Throwable` class.

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceWarning

          public ResourceWarning()

      Constructs a new instance with null as its detail message.

    - #### ResourceWarning

          public ResourceWarning(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### ResourceWarning

          public ResourceWarning(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### ResourceWarning

          public ResourceWarning(java.lang.String message,
                                 java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### ResourceWarning

          public ResourceWarning(java.lang.String message,
                                 java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

  - ### Method Detail

    - #### getLinkedWarning

          @Deprecated
          public ResourceWarning getLinkedWarning()

      Deprecated. J2SE release 1.4 supports a chained exception facility that allows any throwable to know about another throwable, if any, that caused it to get thrown. Refer to `getCause` and `initCause` methods of the `java.lang.Throwable` class.
      Retrieves the warning chained to this `ResourceWarning` object.
      Returns:
        next `ResourceWarning` in the chain; null if none.

    - #### setLinkedWarning

          @Deprecated
          public void setLinkedWarning(ResourceWarning warning)

      Deprecated. J2SE release 1.4 supports a chained exception facility that allows any throwable to know about another throwable, if any, that caused it to get thrown. Refer to `getCause` and `initCause` methods of the `java.lang.Throwable` class.
      Adds an `ResourceWarning` object to the end of the chain.
      Parameters:
        `warning` - `ResourceWarning` to be added to the chain.

Copyright 2015 IronJacamar (http://www.ironjacamar.org)